<?php
/**
 * @file
 * Spider Contacts module Contacts messages.
 */

/**
 * Menu loader callback. Load Contacts messages table.
 */
function spider_contacts_messages() {
  drupal_add_js(drupal_get_path('module', 'spider_contacts') . '/js/spider_contacts_cal.js');
  drupal_add_css(drupal_get_path('module', 'spider_contacts') . '/css/spider_contacts_cal.css');
  $form = array();
  $free_version = '
   <a href="http://web-dorado.com/drupal-contacts-guide-step-4.html" target="_blank" style="float:right;"><img src="' . base_path() . drupal_get_path('module', 'spider_contacts') . '/images/user-manual.png" border="0" alt="' . t('User Manual') . '"></a><div style="clear:both;"></div>
    <div class="messages warning">Global Options are disabled in free version. If you need this functionality, you need to buy the commercial version.</div>
    <a href="http://web-dorado.com/products/drupal-contacts-module.html" target="_blank" style="color:red; text-decoration:none; float:right;">
                    <img style="float:right; clear:both;" src="' . base_path() . drupal_get_path('module', 'spider_contacts') . '/images/header.png" border="0" alt="www.web-dorado.com" width="215"><br />
                  <div style="float:right; clear:both;">' . t('Get the full version') . '&nbsp;&nbsp;&nbsp;&nbsp;</div>
                  </a>';
  $form['fieldset_message_buttons'] = array(
    '#prefix' => $free_version,
    '#type' => 'fieldset',
  );
  $form['fieldset_message_buttons']['readen_message'] = array(
    '#type' => 'submit',
    '#submit' => array('spider_contacts_messages_readen'),
    '#value' => t('Mark as Read'),
  );
  $form['fieldset_message_buttons']['unreaden_message'] = array(
    '#type' => 'submit',
    '#submit' => array('spider_contacts_messages_unreaden'),
    '#value' => t('Mark as Unread'),
  );
  $form['fieldset_message_buttons']['delete_message'] = array(
    '#type' => 'submit',
    '#submit' => array('spider_contacts_messages_delete'),
    '#value' => t('Delete'),
    '#attributes' => array('onclick' => 'if (!confirm(Drupal.t("Do you want to delete selected messages?"))) {return false;}'),
  );
  // Search messages by title.
  $form['fieldset_search_messages_name'] = array(
    '#type' => 'fieldset',
    '#title' => t('Search messages by title'),
    '#collapsible' => TRUE,
    '#collapsed' => ((variable_get('spider_contacts_search_message_title', '') == '') ? TRUE : FALSE),
  );
  $form['fieldset_search_messages_name']['search_messages_name'] = array(
    '#type' => 'textfield',
    '#size' => 25,
    '#default_value' => variable_get('spider_contacts_search_message_title', ''),
  );
  $form['fieldset_search_messages_name']['search_messages'] = array(
    '#type' => 'submit',
    '#submit' => array('spider_contacts_search_messages_name'),
    '#value' => t('Go'),
  );
  $form['fieldset_search_messages_name']['reset_messages'] = array(
    '#type' => 'submit',
    '#value' => t('Reset'),
    '#submit' => array('spider_contacts_reset_messages_name'),
  );
  // Search messages by date.
  $form['fieldset_search_messages_date'] = array(
    '#type' => 'fieldset',
    '#title' => t('Search messages by date'),
    '#collapsible' => TRUE,
    '#collapsed' => (((variable_get('spider_contacts_search_message_date_from', '') == '') && (variable_get('spider_contacts_search_message_date_to', '') == '')) ? TRUE : FALSE),
  );
  $form['fieldset_search_messages_date']['search_messages_date_from'] = array(
    '#type' => 'textfield',
    '#title' => t('From'),
    '#size' => 15,
    '#default_value' => variable_get('spider_contacts_search_message_date_from', ''),
  );
  $form['fieldset_search_messages_date']['data_search_from_button'] = array(
    '#type' => 'submit',
    '#value' => t('...'),
    '#attributes' => array(
      'onclick' => 'return showCalendar("edit-search-messages-date-from","%Y-%m-%d");',
      'class' => 'data_search_from_button',
    ),
  );
  $form['fieldset_search_messages_date']['search_messages_date_to'] = array(
    '#type' => 'textfield',
    '#title' => t('To'),
    '#size' => 15,
    '#default_value' => variable_get('spider_contacts_search_message_date_to', ''),
  );
  $form['fieldset_search_messages_date']['data_search_to_button'] = array(
    '#type' => 'submit',
    '#value' => t('...'),
    '#attributes' => array(
      'onclick' => 'return showCalendar("edit-search-messages-date-to","%Y-%m-%d");',
      'class' => 'data_search_to_button',
    ),
  );
  $form['fieldset_search_messages_date']['search_messages_date'] = array(
    '#type' => 'submit',
    '#submit' => array('spider_contacts_search_messages_date'),
    '#value' => t('Go '),
  );
  $form['fieldset_search_messages_date']['reset_messages_date'] = array(
    '#type' => 'submit',
    '#value' => t('Reset '),
    '#submit' => array('spider_contacts_reset_messages_date'),
  );
  // Search messages by category.
  $form['fieldset_search_messages_by_category'] = array(
    '#type' => 'fieldset',
    '#title' => t('Search messages by category'),
    '#collapsible' => TRUE,
    '#collapsed' => ((variable_get('spider_contacts_search_messages_by_category', '') == '') ? TRUE : FALSE),
  );
  $result = db_query("SELECT id,name FROM {spider_contacts_contacts_categories} ORDER BY name");
  $category_select = array();
  $category_select[0] = t('-Select Category-');
  while ($a = db_fetch_array($result)) {
    $category_select[$a['id']] = $a['name'];
  }
  $form['fieldset_search_messages_by_category']['search_messages_by_category_select'] = array(
    '#type' => 'select',
    '#options' => $category_select,
    '#default_value' => variable_get('spider_contacts_search_messages_by_category', ''),
  );
  $form['fieldset_search_messages_by_category']['search_messages_by_category'] = array(
    '#type' => 'submit',
    '#submit' => array('spider_contacts_search_messages_by_category'),
    '#value' => t(' Go'),
  );
  $form['fieldset_search_messages_by_category']['reset_messages_by_category'] = array(
    '#type' => 'submit',
    '#value' => t(' Reset'),
    '#submit' => array('spider_contacts_reset_messages_by_category'),
  );
  // Search messages by contacts.
  $form['fieldset_search_messages_by_contact'] = array(
    '#type' => 'fieldset',
    '#title' => t('Search messages by contact'),
    '#collapsible' => TRUE,
    '#collapsed' => ((variable_get('spider_contacts_search_messages_by_contact', '') == '') ? TRUE : FALSE),
  );
  $result = db_query("SELECT id, first_name, last_name FROM {spider_contacts_contacts}");
  $contacts_array = array();
  while ($a = db_fetch_array($result)) {
    $contacts_array[$a['id']] = $a['first_name'] . ' ' . $a['last_name'];
  }
  $form['fieldset_search_messages_by_contact']['search_messages_by_contact_select'] = array(
    '#type' => 'select',
    '#options' => $contacts_array,
    '#empty_option' => t('-Select Contact-'),
    '#default_value' => variable_get('spider_contacts_search_messages_by_contact', ''),
  );
  $form['fieldset_search_messages_by_contact']['search_messages_by_contact'] = array(
    '#type' => 'submit',
    '#submit' => array('spider_contacts_search_messages_by_contact'),
    '#value' => t(' Go '),
  );
  $form['fieldset_search_messages_by_contact']['reset_messages_by_contact'] = array(
    '#type' => 'submit',
    '#value' => t(' Reset '),
    '#submit' => array('spider_contacts_reset_messages_by_contact'),
  );
  $header = array(
    theme('table_select_header_cell'),
    'id' => array('data' => t('ID'), 'field' => 'n.id'),
    'title' => array('data' => t('Message Title'), 'field' => 'n.title'),
    'name' => array('data' => t('Name')),
    'sender' => array('data' => t('Sender Name'), 'field' => 'n.sender'),
    'phone' => array('data' => t('Sender Phone'), 'field' => 'n.phone'),
    'email' => array('data' => t('Sender Email'), 'field' => 'n.email'),
    'cont_pref' => array('data' => t('Contact Preferences with Sender'), 'field' => 'n.cont_pref'),
    'category' => array('data' => t('Category')),
    'date' => array('data' => t('Date'), 'field' => 'n.date'),
    'delete' => array('data' => t('Delete')),
  );
  $options = array();
  if (variable_get('spider_contacts_search_messages_by_contact', '') != '') {
    $query = 'to_contact=' . variable_get('spider_contacts_search_messages_by_contact', '') . ' AND';
  }
  else {
    $query = '';
  }
  $res = pager_query("SELECT id,title,sender,phone,email,cont_pref,date,readen,to_contact FROM {spider_contacts_messages} WHERE " . $query . " title LIKE '%%" . variable_get('spider_contacts_search_message_title', '') . "%%' AND date>='" . ((variable_get('spider_contacts_search_message_date_from', '') == '') ? '1900-01-01' :  variable_get('spider_contacts_search_message_date_from', '')) . "' AND date<='" . ((variable_get('spider_contacts_search_message_date_to', '') == '') ? '2200-01-01' :  variable_get('spider_contacts_search_message_date_to', '')) . "' " . tablesort_sql($header), $limit = 20);
  while ($row = db_fetch_array($res)) {
    $message_id = $row['id'];
    $value = db_query("SELECT * FROM {spider_contacts_contacts} WHERE id='%d'", $row['to_contact']);
    $contact_row = db_fetch_array($value);
    if ($contact_row) {
      $contact_name = $contact_row['first_name'] . ' ' . $contact_row['last_name'];
      $category_name = db_result(db_query("SELECT name FROM {spider_contacts_contacts_categories} WHERE id='%d'", $contact_row['category_id']));
    }
    else {
      $contact_name = '';
      $category_name = '';
    }
    if ((variable_get('spider_contacts_search_messages_by_category', '') == '') || ($contact_row['category_id'] == variable_get('spider_contacts_search_messages_by_category', ''))) {
      if ($row['readen']) {
        $readen = '#FFFFFF';
      }
      else {
        $readen = '#E1E2DC';
      }
      $checkbox = array(
        '#type' => 'checkbox',
        '#id' => 'checkbox' . $message_id,
        '#name' => 'spider_contacts_message_check_' . $message_id,
      );
      $options[$message_id] = array(
        'checkbox' => drupal_render($checkbox),
        'id' => $message_id,
        'title' => l($row['title'], url('admin/settings/spider_contacts/messages/edit', array('query' => 'message_id=' . $message_id, 'absolute' => TRUE))),
        'name' => $contact_name,
        'sender' => $row['sender'],
        'phone' => $row['phone'],
        'email' => $row['email'],
        'cont_pref' => $row['cont_pref'],
        'category' => $category_name,
        'date' => $row['date'],
        'delete' => l(t('Delete'), url('admin/settings/spider_contacts/messages/delete', array('query' => 'message_id=' . $message_id, 'absolute' => TRUE))),
      );
      $table_rows[] = array('data' => $options[$message_id], 'style' => 'background-color:' . $readen);
    }
  }
  $form['messages_table'] = array(
    '#type' => 'fieldset',
    '#title' => t('Messages'),
    '#value' => theme('table', $header, $table_rows) . theme('pager'),
  );
  return $form;
}

/**
 * Search messages by title.
 */
function spider_contacts_search_messages_name($form, &$form_state) {
  if ($form_state['values']['search_messages_name'] != '') {
    variable_set('spider_contacts_search_message_title', $form_state['values']['search_messages_name']);
  }
  else {
    variable_set('spider_contacts_search_message_title', '');
  }
}

/**
 * Reset messages by title.
 */
function spider_contacts_reset_messages_name($form, &$form_state) {
  variable_set('spider_contacts_search_message_title', '');
}

/**
 * Search messages by date.
 */
function spider_contacts_search_messages_date($form, &$form_state) {
  if ($form_state['values']['search_messages_date_from'] != '') {
    variable_set('spider_contacts_search_message_date_from', $form_state['values']['search_messages_date_from']);
  }
  else {
    variable_set('spider_contacts_search_message_date_from', '');
  }
  if ($form_state['values']['search_messages_date_to'] != '') {
    variable_set('spider_contacts_search_message_date_to', $form_state['values']['search_messages_date_to']);
  }
  else {
    variable_set('spider_contacts_search_message_date_to', '');
  }
}

/**
 * Reset messages by date
 */
function spider_contacts_reset_messages_date($form, &$form_state) {
  variable_set('spider_contacts_search_message_date_from', '');
  variable_set('spider_contacts_search_message_date_to', '');
}

/**
 * Search messages by category.
 */
function spider_contacts_search_messages_by_category($form, &$form_state) {
  if ($form_state['values']['search_messages_by_category_select'] != '') {
    variable_set('spider_contacts_search_messages_by_category', $form_state['values']['search_messages_by_category_select']);
  }
  else {
    variable_set('spider_contacts_search_messages_by_category', '');
  }
}

/**
 * Reset messages by category
 */
function spider_contacts_reset_messages_by_category($form, &$form_state) {
  variable_set('spider_contacts_search_messages_by_category', '');
}

/**
 * Search messages by contact.
 */
function spider_contacts_search_messages_by_contact($form, &$form_state) {
  if ($form_state['values']['search_messages_by_contact_select'] != '') {
    variable_set('spider_contacts_search_messages_by_contact', $form_state['values']['search_messages_by_contact_select']);
  }
  else {
    variable_set('spider_contacts_search_messages_by_contact', '');
  }
}

/**
 * Reset messages by contact.
 */
function spider_contacts_reset_messages_by_contact($form, &$form_state) {
  variable_set('spider_contacts_search_messages_by_contact', '');
}

/**
 * Mark as read selected messages.
 */
function spider_contacts_messages_readen($form, &$form_state) {
  if (db_query("SELECT id FROM {spider_contacts_messages}")) {
    $result = db_query("SELECT id FROM {spider_contacts_messages}");
    $flag = FALSE;
    while ($message = db_fetch_array($result)) {
      $message_id = $message['id'];
      if (isset($_POST['spider_contacts_message_check_' . $message_id])) {
        $flag = TRUE;
        db_query("UPDATE {spider_contacts_messages} SET readen='%d' WHERE id='%d'", 1, $message_id);
      }
    }
    if ($flag == FALSE) {
      drupal_set_message(t('You must select at least one message.'), 'warning', FALSE);
    }
    else {
      drupal_set_message(t('Messages successfully mark as read.'), 'status', FALSE);
    }
  }
}

/**
 * Mark as read message.
 */
function spider_contacts_message_readen() {
  if (isset($_GET['message_id'])) {
    $message_id = check_plain($_GET['message_id']);
    db_query("UPDATE {spider_contacts_messages} SET readen='%d' WHERE id='%d'", 1, $message_id);
  }
  drupal_set_message(t('Message successfully mark as read.'), 'status', FALSE);
  drupal_goto(url('admin/settings/spider_contacts/messages', array('absolute' => TRUE)));
}

/**
 * Mark as unread selected messages.
 */
function spider_contacts_messages_unreaden($form, &$form_state) {
  if (db_query("SELECT id FROM {spider_contacts_messages}")) {
    $result = db_query("SELECT id FROM {spider_contacts_messages}");
    $flag = FALSE;
    while ($message = db_fetch_array($result)) {
      $message_id = $message['id'];
      if (isset($_POST['spider_contacts_message_check_' . $message_id])) {
        $flag = TRUE;
        db_query("UPDATE {spider_contacts_messages} SET readen='%d' WHERE id='%d'", 0, $message_id);
      }
    }
    if ($flag == FALSE) {
      drupal_set_message(t('You must select at least one message.'), 'warning', FALSE);
    }
    else {
      drupal_set_message(t('Messages successfully mark as unread.'), 'status', FALSE);
    }
  }
}

/**
 * Mark as unread message.
 */
function spider_contacts_message_unreaden() {
  if (isset($_GET['message_id'])) {
    $message_id = check_plain($_GET['message_id']);
    db_query("UPDATE {spider_contacts_messages} SET readen='%d' WHERE id='%d'", 0, $message_id);
  }
  drupal_set_message(t('Message successfully mark as unread.'), 'status', FALSE);
  drupal_goto(url('admin/settings/spider_contacts/messages', array('absolute' => TRUE)));
}

/**
 * Delete selected messages.
 */
function spider_contacts_messages_delete($form, &$form_state) {
  if (db_query("SELECT id FROM {spider_contacts_messages}")) {
    $result = db_query("SELECT id FROM {spider_contacts_messages}");
    $flag = FALSE;
    while ($message = db_fetch_array($result)) {
      $message_id = $message['id'];
      if (isset($_POST['spider_contacts_message_check_' . $message_id])) {
        $flag = TRUE;
        db_query("DELETE FROM {spider_contacts_messages} WHERE id='%d'", $message_id);
        drupal_set_message(t('Selected messages successfully deleted.'), 'status', FALSE);
      }
    }
    if ($flag == FALSE) {
      drupal_set_message(t('You must select at least one message.'), 'warning', FALSE);
    }
    else {
      drupal_set_message(t('Messages successfully deleted.'), 'status', FALSE);
    }
  }
}

/**
 * Delete message.
 */
function spider_contacts_message_delete() {
  if (isset($_GET['message_id'])) {
    $message_id = check_plain($_GET['message_id']);
    db_query("DELETE FROM {spider_contacts_messages} WHERE id='%d'", $message_id);
  }
  drupal_set_message(t('Message successfully deleted.'), 'status', FALSE);
  drupal_goto(url('admin/settings/spider_contacts/messages', array('absolute' => TRUE)));
}

/**
 * View message.
 */
function spider_contacts_message_edit() {
  if (isset($_GET['message_id'])) {
    $message_id = check_plain($_GET['message_id']);
    $value = db_query("SELECT * FROM {spider_contacts_messages} WHERE id='%d'", $message_id);
    $row = db_fetch_array($value);
    $result = db_query("SELECT * FROM {spider_contacts_contacts} WHERE id='%d'", $row['to_contact']);
    $contact_row = db_fetch_array($result);
    $title = $row['title'];
    $name = $contact_row['first_name'] . ' ' . $contact_row['last_name'];
    $sender = $row['sender'];
    $phone = $row['phone'];
    $email = $row['email'];
    $cont_pref = $row['cont_pref'];
    $category = db_result(db_query("SELECT name FROM {spider_contacts_contacts_categories} WHERE id='%d'", $contact_row->category_id));
    $date = $row['date'];
    $text = $row['text'];
    $form = array();
    $form['message'] = array(
      '#type' => 'submit',
      '#submit' => array('spider_contacts_messages_cancel'),
      '#value' => t('Back'),
      '#attributes' => array('style' => 'float:right;'),
      '#suffix' => '
        <label><h3>' . t('A Message from @sender', array('@sender' => $sender)) . '</h3></label>
        <table style="width:400px;border:1px solid;">
          <tr>
            <td style="width:100px;border:1px solid;"></td>
            <td style="border:1px solid;"><strong>' . t('Sender Details') . '</strong></td>
          </tr>
          <tr>
            <td style="width:100px;border:1px solid;text-align: right;">' . t('Sender Phone') . ':</td>
            <td style="border:1px solid;">' . $phone . '</td>
          </tr>
          <tr>
            <td style="width:100px;border:1px solid;text-align: right;">' . t('Sender Email') . ':</td>
            <td style="border:1px solid;">' . $email . '</td>
          </tr>
          <tr>
            <td style="width:100px;border:1px solid;text-align: right;">' . t('Sender Contact Preference') . ':</td>
            <td style="border:1px solid;">' . $cont_pref . '</td>
          </tr>
          <tr></tr>
          <tr>
            <td style="width:100px;border:1px solid;"></td>
            <td style="border:1px solid;"><strong>' . t('Message Details') . '</strong></td>
          </tr>
          <tr>
            <td style="width:100px;border:1px solid;text-align: right;">' . t('To Contact') . ':</td>
            <td style="border:1px solid;">' . $name . '</td>
          </tr>
          <tr>
            <td style="width:100px;border:1px solid;text-align: right;">' . t('Category') . ':</td>
            <td style="border:1px solid;">' . $category . '</td>
          </tr>
          <tr>
            <td style="width:100px;border:1px solid;text-align: right;">' . t('Date') . ':</td>
            <td style="border:1px solid;">' . $date . '</td>
          </tr>
          <tr>
            <td style="width:100px;border:1px solid;text-align: right;">' . t('Title') . ':</td>
            <td style="border:1px solid;">' . $title . '</td>
          </tr>
          <tr>
            <td style="width:100px;border:1px solid;text-align: right;">' . t('Message') . ':</td>
            <td style="border:1px solid;">' . $text . '</td>
          </tr>
        </table>',
    );
    db_query("UPDATE {spider_contacts_messages} SET readen='%d' WHERE id='%d'", 1, $message_id);
    return $form;
  }
}

/**
 * Back to messages table.
 */
function spider_contacts_messages_cancel($form, &$form_state) {
  $form_state['redirect'] = url('admin/settings/spider_contacts/messages', array('absolute' => TRUE));
}
